# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ libglibmm-devel
# END SourceDeps(oneline)
Summary:	A basic gtkmm Clutter widget
Name:		clutter-gtkmm
Version:	0.91.8
Release:	alt1_7
License:	LGPLv2+
Group:		System/Libraries
URL:		http://www.gtkmm.org/
Source0:	http://download.gnome.org/sources/clutter-gtkmm/0.91/%{name}-%{version}.tar.bz2

BuildRequires:	libclutter-gtk3-devel >= 0.10.2
BuildRequires:	mm-common >= 0.9.5
BuildRequires:	cluttermm-devel >= 0.9.6
BuildRequires:	doxygen
BuildRequires:	graphviz
BuildRequires:	libgtkmm3-devel
Source44: import.info

%description
Clutter-gtkmm allows Clutter to be embedded in gtkmm applications. Clutter is
a software library for creating fast, visually rich graphical user
interfaces.

%package devel
Summary:	Development files for %{name}
Group:		Development/C

Requires:	%{name} = %{version}-%{release}
Requires:	devhelp

%description devel
This package contains development files for %{name}.

%prep
%setup -q

sed --in-place \
  --expression 's|clutter-gtk-0.10 |clutter-gtk-1.0 |g' \
  ./configure

sed -i 's|gtkmm-2.4|gtkmm-3.0|g' ./configure

%build
%configure --disable-silent-rules --docdir=%{_docdir}/%{name}-%{version}

# Omit unused direct shared library dependencies.
sed --in-place --expression 's! -shared ! -Wl,--as-needed\0!g' libtool

make %{?_smp_mflags}

%install
make install INSTALL="%{__install} -p" DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name "*.la" -delete

mv $RPM_BUILD_ROOT%{_docdir}/%{name}-1.0/reference .
pushd $RPM_BUILD_ROOT%{_docdir}/%{name}-1.0
  ln -s ../%{name}-devel-%{version}/reference reference
popd

%files
%doc ChangeLog COPYING NEWS
%{_libdir}/libclutter-gtkmm-1.0.so.*

%files devel
%doc examples/events
%doc examples/redhand.png
%doc reference
%{_libdir}/libclutter-gtkmm-1.0.so
%{_libdir}/pkgconfig/%{name}-1.0.pc
%{_libdir}/%{name}-1.0
%{_datadir}/devhelp/books/%{name}-1.0
%{_includedir}/%{name}-1.0

%dir %{_docdir}/%{name}-1.0
%doc %{_docdir}/%{name}-1.0/reference

%changelog
* Thu Apr 25 2013 Igor Vlasenko <viy@altlinux.ru> 0.91.8-alt1_7
- initial fc import

